Loading...
Searching...
No Matches
seqan3::optional_printer< std::optional< T > > Struct Template Reference
Core » Debug Stream

Printer for formatted output of a std::optional. More...

`#include <seqan3/core/debug_stream/optional.hpp>`

Inheritance diagram for seqan3::optional_printer< std::optional< T > >:
[legend]

## Public Member Functions

template<typename stream_t, typename arg_t>
constexpr void | operator() (stream_t &stream, arg_t &&arg) const
| Print the optional to the stream by printing its value or nothing if valueless.

## Detailed Description

template<typename T>
struct seqan3::optional_printer< std::optional< T > >

Printer for formatted output of a std::optional.

Template Parameters

  T | The value type of the std::optional.

## Member Function Documentation

## operator()()

template<typename T>
template<typename stream_t, typename arg_t>

void seqan3::optional_printer< std::optional< T > >::operator() | ( | stream_t & | stream,
|  | arg_t && | arg ) const

inline constexpr

Print the optional to the stream by printing its value or nothing if valueless.

Template Parameters

  stream_t | The type of the stream.
  arg_t | The type of the argument.

Parameters

  [in,out] | stream | The stream to print to.
  [in] | arg | The optional to print.

The documentation for this struct was generated from the following file:

- optional.hpp

Hide me